| API Documentation |  |

- MAIN PAGE
- NAMESPACES
- CLASSES

Public Member Functions | List of all members
nkExport::TreeReaderEntry Class Referenceabstract

An internal entry stored within the TreeReader. More...

Inheritance diagram for nkExport::TreeReaderEntry:

## Public Member Functions
| TreeReaderEntry (nkMemory::StringView path) noexcept
| TreeReaderEntry (const TreeReaderEntry &) noexcept
| TreeReaderEntry (TreeReaderEntry &&) noexcept
virtual | ~TreeReaderEntry ()
nkMemory::StringView | getPath () const
TreeReaderEntry & | operator= (const TreeReaderEntry &) noexcept
TreeReaderEntry & | operator= (TreeReaderEntry &&) noexcept
virtual void | fill (nkExport::Node *)=0

## Detailed Description

An internal entry stored within the TreeReader.

## Constructor & Destructor Documentation

## ◆ TreeReaderEntry() [1/3]

nkExport::TreeReaderEntry::TreeReaderEntry | ( | nkMemory::StringView | path | ) |
| noexcept

Path constructor.

Parameters

  path | The path within the tree for this entry.

## ◆ TreeReaderEntry() [2/3]

nkExport::TreeReaderEntry::TreeReaderEntry | ( | const TreeReaderEntry & |  | ) |
| noexcept

Copy constructor.

## ◆ TreeReaderEntry() [3/3]

nkExport::TreeReaderEntry::TreeReaderEntry | ( | TreeReaderEntry && |  | ) |
| noexcept

Move constructor.

## ◆ ~TreeReaderEntry()

virtual nkExport::TreeReaderEntry::~TreeReaderEntry | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ getPath()

nkMemory::StringView nkExport::TreeReaderEntry::getPath | ( |  | ) | const

Returns
  The path the entry targets.

## ◆ operator=() [1/2]

TreeReaderEntry& nkExport::TreeReaderEntry::operator= | ( | const TreeReaderEntry & |  | ) |
| noexcept

Copy assignment operator.

## ◆ operator=() [2/2]

TreeReaderEntry& nkExport::TreeReaderEntry::operator= | ( | TreeReaderEntry && |  | ) |
| noexcept

Move assignment operator.

## ◆ fill()

virtual void nkExport::TreeReaderEntry::fill | ( | nkExport::Node * |  | ) |
| pure virtual

Fills the target from the node provided, using the target path.

Implemented in nkExport::TreeReaderCompositeEntry< C, T >, and nkExport::TreeReaderTemplateEntry< T >.

The documentation for this class was generated from the following file:

- Documentation/Headers/NilkinsExport/Tree/Utils/TreeReader.h